package intrinsic.mx.rpc.http.mxml;

public class HTTPService extends intrinsic.mx.rpc.http.HTTPService implements intrinsic.mx.rpc.mxml.IMXMLSupport, intrinsic.mx.core.IMXMLObject {

	/** Accessors */
	public String concurrency;
	public boolean showBusyCursor;

	/** Variables */
	public String method;
	public intrinsic.Function xmlEncode;
	public String contentType;
	public Object request;
	public intrinsic.Function xmlDecode;
	public Object headers;

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public HTTPService() {
}

public HTTPService(Object arg0) {
}

public HTTPService(Object arg0, Object arg1) {
}


/** Static Methods */

/** Methods */
public native intrinsic.mx.rpc.AsyncToken send();
public native intrinsic.mx.rpc.AsyncToken send(Object arg0);
public native void initialized(Object arg0, String arg1);
public native intrinsic.mx.rpc.AsyncToken cancel();
public native intrinsic.mx.rpc.AsyncToken cancel(String arg0);

}
